import { defHttp } from '/@/utils/http/axios';

// 查询流程达式列表
export function listExpression(query) {
  return defHttp({
    url: '/system/expression/list',
    method: 'get',
    params: query
  })
}

// 查询流程达式详细
export function getExpression(id) {
  return defHttp({
    url: '/system/expression/' + id,
    method: 'get'
  })
}

// 新增流程达式
export function addExpression(data) {
  return defHttp({
    url: '/system/expression',
    method: 'post',
    data: data
  })
}

// 修改流程达式
export function updateExpression(data) {
  return defHttp({
    url: '/system/expression',
    method: 'put',
    data: data
  })
}

// 删除流程达式
export function delExpression(id) {
  return defHttp({
    url: '/system/expression/' + id,
    method: 'delete'
  })
}
